package pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn; // Java Package generated by the BNF Converter.

public class BasicExprNegC extends BasicExpr {
    public final BasicExpr basicexpr_;

    public BasicExprNegC(BasicExpr p1) {

        basicexpr_ = p1;
    }

    public <R, A> R accept(pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.BasicExpr.Visitor<R, A> v, A arg) {

        return v.visit(this, arg);
    }

    public int hashCode() {

        return this.basicexpr_.hashCode();
    }

    public boolean equals(Object o) {

        if (this == o) return true;
        if (o instanceof pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.BasicExprNegC) {
            pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.BasicExprNegC x = (pl.edu.mimuw.cloudatlas.service.interpreter.interpreter.query.Absyn.BasicExprNegC) o;
            return this.basicexpr_.equals(x.basicexpr_);
        }
        return false;
    }


}
